## bacula 9.0.6

=== debian/changelog ===
bacula (9.0.6-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 12:12:08 +0000

bacula (9.0.6-1) unstable; urgency=medium

  * New upstream version
  * We no longer drop sha1.[ch], following advice on debian-legal
  * Dropped backported patches

 -- Carsten Leonhardt <leo@debian.org>  Wed, 22 Nov 2017 10:20:44 +0100

bacula (9.0.5+dfsg-5) unstable; urgency=medium

  * OpenSSL 1.1 support got accepted upstream, so we move it to
    unstable. (Closes: 850895)

 -- Carsten Leonhardt <leo@debian.org>  Sun, 19 Nov 2017 21:27:02 +0100

bacula (9.0.5+dfsg-4+exp2) experimental; urgency=medium

  * Updated patches to support OpenSSL 1.1, kindly contributed by
    Sebastian Andrzej Siewior <sebastian@breakpoint.cc>

 -- Carsten Leonhardt <leo@debian.org>  Thu, 16 Nov 2017 00:34:12 +0100

bacula (9.0.5+dfsg-4+exp1) experimental; urgency=medium

  * Add patches to support OpenSSL 1.1 kindly contributed by Sebastian
    Andrzej Siewior <sebastian@breakpoint.cc>

 -- Carsten Leonhardt <leo@debian.org>  Wed, 15 Nov 2017 17:30:12 +0100

bacula (9.0.5+dfsg-4) unstable; urgency=medium

  * Backported patch to update acl and xattr support. This fixes a bug
    where acl and xattr support could not be disabled. We now disable
    support for these on Gnu/Hurd, this fixes the FTBFS. (Closes: #881271)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 15 Nov 2017 17:23:24 +0100

bacula (9.0.5+dfsg-3) unstable; urgency=medium

  * Skipped version 9.0.5+dfsg-2 - it was a branch for experimental

  [ Carsten Leonhardt ]
  * Use "Rules-Requires-Root: no"
  * Dropped obsolete Build-Depends on Gnome2 libraries
  * Dropped Build-Depends on autotools-dev as debhelper now depends on it

  [ Sven Hartge ]
  * Customized systemd units, added Documentation key
  * Fixed lintian warnings file-contains-trailing-whitespace and
    debhelper-tools-from-autotools-dev-are-deprecated
  * Removed Suggests: python for bacula-sd
  * Registered bacula-console-qt documentation with doc-base

 -- Carsten Leonhardt <leo@debian.org>  Sun, 12 Nov 2017 12:37:09 +0100

bacula (9.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release

  [ Carsten Leonhardt ]
  * Added transitional package bacula-director-common, the old leftover
    package can't be safely purged otherwise (it deletes
    /etc/bacula/bacula-dir.conf in postrm).
  * Handle the main configuration files with ucf (Closes: #880529)
  * Dropped unneeded depends on ucf from bacula-director-DBTYPE packages

  [ Sven Hartge ]
  * Updated patches:
    upstream-fix-sqlite-update.patch
    non-forking-systemd-units.patch

 -- Carsten Leonhardt <leo@debian.org>  Mon, 06 Nov 2017 13:25:37 +0100

bacula (9.0.4+dfsg-3) unstable; urgency=high

  [Sven Hartge]
  * Let PID files be owned by root. Mitigates a minor security problem
    similar to CVE 2017-14610. Note that this change disables automatic
    tracebacks.

  [Carsten Leonhardt]
  * Removed lintian override for
    virtual-package-depends-without-real-package-depends, fixed in lintian
  * Updated Standards-Version to 4.1.1, no changes required

 -- Carsten Leonhardt <leo@debian.org>  Thu, 26 Oct 2017 22:26:35 +0200

bacula (9.0.4+dfsg-2) unstable; urgency=low

  * Changed location of bbconsjson, bdirjson, bfdjson and bsdjson to
    /usr/lib/bacula
  * Install bscan and bcopy /usr/sbin instead of /usr/bin to match
    upstream
  * No longer symlink bat into /usr/bin
  * Removed symlink "bacula-console-qt" that linked to /usr/sbin/bat

 -- Carsten Leonhardt <leo@debian.org>  Wed, 13 Sep 2017 22:49:20 +0200

bacula (9.0.4+dfsg-1) experimental; urgency=low

  * New upstream release
  * Fixed default config for bacula-sd so it listens only on localhost
  * Added notice about discontinued sqlite3 support also to the package
    description of bacula-common-sqlite3
  * Dropped debian patches
    upstream-bring-back-tmpfiles-configuration.patch and
    upstream-fix-sqlite-db-creation.patch, these have been addressed or
    applied in the new upstream version
  * Updated upstream-fix-sqlite-update.patch

 -- Carsten Leonhardt <leo@debian.org>  Mon, 11 Sep 2017 18:37:19 +0200

bacula (9.0.3+dfsg-1) experimental; urgency=low

  * New upstream release (Closes: #855645)
  * debian/NEWS: Warn that sqlite3 is no longer officially supported and
    might be removed at short notice, also warn that we no longer support
    the make_catalog_backup_awk scripts and that they will be removed
    after the next debian release
  * Script dvd-handler removed,
    adjusted maintscript handling accordingly
  * Refreshed debian patches "fix-default-config",
    "switch-nonfree-sha1-to-openssl.patch" and
    "non-forking-systemd-units.patch"
  * Default installations now use PostgreSQL, which is recommended by
    upstream. Upstream no longer officially supports SQLite3, added a news
    entry about the fact and a note in the package description of
    bacula-director-sqlite3 (Closes: #854684)
  * Let debian/scripts/install-dbconfig detect an unsupported bacula
    database version update and abort the build if needed
  * Updated upstream signing key
  * Updated debian/copyright
  * Updated debian/scripts/install-dbconfig for database version 16
  * Added new libbacsd library to package bacula-common
  * Revived a modified fix-bring-back-tmpfiles-configuration.patch
  * Updated Standards-Version to 4.1.0, no changes required
  * Implemented try-restart in init scripts
  * Added debian/patches/upstream-fix-sqlite-update.patch
  * Renamed debian patches to indicate whether they are debian specific or
    fit for upstream
  * Added debian/patches/upstream-fix-sqlite-db-creation.patch
  * Install new binaries bbconsjson, bdirjson, bfdjson and bsdjson to
    package bacula-common
  * Install new script tapealert to package bacula-sd
  * Install new script baculabackupreport to package bacula-director
  * Install all scripts for manual database handling to their respective


=== debian/control ===
Source: bacula
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
Uploaders: Carsten Leonhardt <leo@debian.org>
Build-Depends:
 autoconf,
 bc,
 debhelper (>= 10),
 libacl1-dev,
 libcap-dev [linux-any],
 libkrb5-dev,
 liblzo2-dev,
 default-libmysqlclient-dev,
 libpq-dev (>= 9.1),
 libqt4-dev,
 libreadline-dev,
 libsqlite3-dev,
 libssl-dev | libssl1.0-dev,
 libwrap0-dev,
 libx11-dev,
 libxt-dev,
 mtx [!hurd-any],
 pkg-config,
 po-debconf,
 postgresql-server-dev-all,
 zlib1g-dev
Standards-Version: 4.1.1
Rules-Requires-Root: no
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-bacula/bacula.git
Vcs-Git: https://anonscm.debian.org/git/pkg-bacula/bacula.git
Homepage: http://www.bacula.org/

Package: bacula
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-client, bacula-server, ${misc:Depends}
Description: network backup service - metapackage
 Bacula is a set of programs to manage backup, recovery, and verification
 of computer data across a network of computers of different kinds.
 .
 It is efficient and relatively easy to use, while offering many advanced
 storage management features that make it easy to find and recover lost or
 damaged files. Due to its modular design, Bacula is scalable from small
 single computer systems to networks of hundreds of machines.
 .
 This metapackage installs the entire suite of Bacula applications: job
 scheduling, storage control, node connector, and administrative console.

Package: bacula-common
Architecture: any
Pre-Depends:
 adduser,
 ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces:
 bacula-common-mysql (<< 7.4.3+dfsg-3),
 bacula-common-pgsql (<< 7.4.3+dfsg-3),
 bacula-common-sqlite3 (<< 7.4.3+dfsg-3)
Breaks:
 bacula-common-mysql (<< 7.4.3+dfsg-3),
 bacula-common-pgsql (<< 7.4.3+dfsg-3),
 bacula-common-sqlite3 (<< 7.4.3+dfsg-3)
Suggests:
 gdb,
Description: network backup service - common support files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages.

Package: bacula-common-sqlite3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Conflicts: bacula-common-mysql, bacula-common-pgsql
Description: network backup service - SQLite v3 common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the SQLite v3 database.
 .
 Please be aware that using SQLite 3 databases is no longer supported
 by the author.

Package: bacula-common-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Conflicts: bacula-common-mysql, bacula-common-sqlite3
Description: network backup service - PostgreSQL common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the PostgreSQL database.

Package: bacula-common-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: bacula-common, ${misc:Depends}, ${shlibs:Depends}
Conflicts: bacula-common-pgsql, bacula-common-sqlite3
Description: network backup service - MySQL common files
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This package provides files that are useful for other Bacula packages
 for the MySQL database.

Package: bacula-director
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common (= ${binary:Version}),
 bacula-director-pgsql (= ${binary:Version}) | bacula-director-mysql (= ${binary:Version}) | bacula-director-sqlite3 (= ${binary:Version}),
 bsd-mailx | mailx,
 lsb-base (>= 3.0-6),
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: bacula-doc
Replaces:
 bacula-director-mysql (<< 7.4.3+dfsg-7),
 bacula-director-pgsql (<< 7.4.3+dfsg-7),
 bacula-director-sqlite3 (<< 7.4.3+dfsg-7)
Breaks:
 bacula-director-mysql (<< 7.4.3+dfsg-7),
 bacula-director-pgsql (<< 7.4.3+dfsg-7),
 bacula-director-sqlite3 (<< 7.4.3+dfsg-7)
Description: network backup service - Director daemon
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package provides the Bacula Director daemon.

Package: bacula-director-sqlite3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common-sqlite3 (= ${binary:Version}),
 dbconfig-sqlite3 | dbconfig-no-thanks,
 file,
 sqlite3,
 ${misc:Depends},
Conflicts: bacula-director-database
Provides: bacula-director-database
Replaces: bacula-director-database
Suggests: gawk, ${perl:Depends}
Description: network backup service - SQLite 3 storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in an SQLite 3 database, and thus is
 only suitable for small or test installations.
 .
 Please be aware that using SQLite 3 databases is no longer supported
 by the author.

Package: bacula-director-mysql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common-mysql (= ${binary:Version}),
 dbconfig-mysql | dbconfig-no-thanks,
 default-mysql-client | virtual-mysql-client,
 ${misc:Depends},
Conflicts: bacula-director-database
Provides: bacula-director-database
Replaces: bacula-director-database
Recommends: default-mysql-server | virtual-mysql-server
Suggests: gawk, ${perl:Depends}
Description: network backup service - MySQL storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in a MySQL database, and thus is
 suitable for medium-sized installations.

Package: bacula-director-pgsql
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common-pgsql (= ${binary:Version}),
 dbconfig-pgsql | dbconfig-no-thanks,
 postgresql-client (>= 7.4),
 ${misc:Depends},
Conflicts: bacula-director-database
Provides: bacula-director-database
Replaces: bacula-director-database
Recommends: postgresql (>= 7.4)
Suggests: gawk, postgresql-contrib, ${perl:Depends}
Description: network backup service - PostgreSQL storage for Director
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 This package stores Bacula's catalog in a PostgreSQL database, and thus is
 suited for large installations.

Package: bacula-client
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-console (>= ${source:Version}),
 bacula-fd (>= ${source:Version}),
 ${misc:Depends}
Description: network backup service - client metapackage
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The Bacula Director service supervises all the backup, restore, verify, and
 archive operations. It can run as a daemon or as a foreground service which
 administrators can use to schedule backups and recover files.
 .
 The package is a metapackage for client installations (file daemon and
 console only).

Package: bacula-fd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Description: network backup service - file daemon
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The file daemon has to be installed on the machine to be backed up. It is
 responsible for providing the file attributes and data when requested by
 the Director, and also for the file system-dependent part of restoration.

Package: bacula-server
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-director (>= ${source:Version}),
 bacula-sd (>= ${source:Version}),
 bacula-bscan (>= ${source:Version}),
 ${misc:Depends}
Recommends: bacula-fd
Description: network backup service - server metapackage
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 This metapackage provides a standard server install, consisting of the
 director and storage daemons.

Package: bacula-sd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common (= ${binary:Version}),
 lsb-base (>= 3.0-6),
 mtx [!hurd-any],
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 bacula-sd-mysql (<< 7.4.3+dfsg-3),
 bacula-sd-pgsql (<< 7.4.3+dfsg-3),
 bacula-sd-sqlite3 (<< 7.4.3+dfsg-3)
Breaks:
 bacula-sd-mysql (<< 7.4.3+dfsg-3),
 bacula-sd-pgsql (<< 7.4.3+dfsg-3),
 bacula-sd-sqlite3 (<< 7.4.3+dfsg-3)
Recommends: bacula-bscan, mt-st
Suggests: dds2tar, scsitools, sg3-utils
Description: network backup service - storage daemon
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 It runs on the machine which has access to the backup device(s) - usually
 a tape drive, but alternatively other storage media, such as files.

Package: bacula-bscan
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common-sqlite3 (= ${binary:Version}) | bacula-common-pgsql (= ${binary:Version}) | bacula-common-mysql (= ${binary:Version}),
 bacula-sd (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 bacula-sd-mysql (<< 7.4.3+dfsg-3),
 bacula-sd-pgsql (<< 7.4.3+dfsg-3),
 bacula-sd-sqlite3 (<< 7.4.3+dfsg-3)
Breaks:
 bacula-sd-mysql (<< 7.4.3+dfsg-3),
 bacula-sd-pgsql (<< 7.4.3+dfsg-3),
 bacula-sd-sqlite3 (<< 7.4.3+dfsg-3)
Description: network backup service - bscan tool
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.
 .
 The storage daemon performs the storage and recovery of the file
 attributes and data to the physical media; in other words, it is
 responsible for reading and writing the backups.
 .
 This package contains the bscan utility, which is used for recovery
 when Bacula's catalog is unavailable.

Package: bacula-console
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 bacula-common (= ${binary:Version}),
 ucf,
 ${misc:Depends},
 ${shlibs:Depends}
Description: network backup service - text console
 Bacula is a set of programs to manage backup, recovery, and verification of
 data across a network of computers of different kinds.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

VARIANTS := pgsql mysql sqlite3
VERSION := $(shell sed -n -e 's/^\#define VERSION.*"\(.*\)"$$/\1/p' src/version.h)

######################################################################

DBC := usr/share/dbconfig-common/data/

CONF_ALL	= \
	--enable-smartalloc \
	--with-tcp-wrappers \
	--with-openssl \
	--with-libiconv-prefix=/usr/include \
	--with-readline=/usr/include/readline \
	--disable-conio \
	--with-libintl-prefix=/usr/include \
	--docdir=\$${prefix}/share/doc/bacula-common \
	--htmldir=\$${prefix}/share/doc/bacula-common/html \
	--libdir=\$${prefix}/lib/bacula \
	--enable-batch-insert \
	--enable-ipv6 \
	--with-dir-password=XXX_DIRPASSWORD_XXX \
	--with-fd-password=XXX_FDPASSWORD_XXX \
	--with-sd-password=XXX_SDPASSWORD_XXX \
	--with-mon-dir-password=XXX_MONDIRPASSWORD_XXX \
	--with-mon-fd-password=XXX_MONFDPASSWORD_XXX \
	--with-mon-sd-password=XXX_MONSDPASSWORD_XXX \
	--with-db-name=XXX_DBNAME_XXX \
	--with-db-user=XXX_DBUSER_XXX \
	--with-db-password=XXX_DBPASSWORD_XXX \
	--config-cache \
	--with-archivedir=/nonexistant/path/to/file/archive/dir \
	--sysconfdir=/etc/bacula \
	--with-scriptdir=/etc/bacula/scripts \
	--sharedstatedir=/var/lib/bacula \
	--localstatedir=/var/lib/bacula \
	--with-logdir=/var/log/bacula \
	--with-pid-dir=/run/bacula \
	--with-smtp-host=localhost \
	--with-working-dir=/var/lib/bacula \
	--with-subsys-dir=/run/lock \
	--with-dump-email=root \
	--with-job-email=root \
	--with-mysql --with-postgresql --with-sqlite3 \
	--enable-bat --with-x

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONF_ALL	+= --with-systemd=/lib/systemd/system
endif

ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
CONF_ALL	+= --disable-acl --disable-xattr
endif

ifeq ($(DEB_HOST_ARCH_OS),hurd)
CONF_ALL       += --disable-acl --disable-xattr
endif

#set to 1 if configured with systemd
HAVE_SYSTEMD = $(findstring 1,$(shell egrep "^\#define HAVE_SYSTEMD" config.log))

LONGNAME_mysql		= mysql
LONGNAME_pgsql		= postgresql
LONGNAME_sqlite3	= sqlite3

###########################################################################

# Macro for generate file for specified database from specified template
# args: 1 -- template file
#       2 -- db type
define template-subst
sed -e 's/XX_DB_XX/$(2)/' -e 's/XX_DBLONGNAME_XX/$(LONGNAME_$(2))/' -e 's/XX_VERSION_XX/$(VERSION)/' '$(1)' >'$(patsubst %.in,%,$(subst -db.,-$(2).,$(1)))';
endef

# Macro for cleanup file generated for specified database from specified template
# args: 1 -- template file
#       2 -- db type
define template-cleanup
rm -f '$(patsubst %.in,%,$(subst -db.,-$(2).,$(1)))';
endef

# Macro for generate from all templates files for specified database
# args: 1 -- db type
define db-templates-subst
$(foreach template,$(wildcard debian/*-db.*.in),$(call template-subst,$(template),$(1)))
endef

# Macro for cleanup all files generated for specified database from templates
# args: 1 -- db type
define db-templates-cleanup
$(foreach template,$(wildcard debian/*-db.*.in),$(call template-cleanup,$(template),$(1)))
endef

%:
ifeq ($(HAVE_SYSTEMD),1)
	dh $@ --with systemd
else
	dh $@
endif

# For packages depending on bacula-director-DBTYPE, we handle the
# dependencies on that ourselves, because dpkg-shlibdeps doesn't
# understand the variants
override_dh_shlibdeps:
	dh_shlibdeps -pbacula-bscan -pbacula-director -- -xbacula-common-mysql -xbacula-common-pgsql -xbacula-common-sqlite3
	dh_shlibdeps -a --remaining-packages

override_dh_auto_build-arch:
	dh_auto_build -a
# also build the monitoring plugin from the examples
	make -C examples/nagios/check_bacula

override_dh_install-arch:
	dh_install -a
	######### dbconfig-common stuff
	# The script install-dbconfig needs to be adapted when upstream changes the database format!
	debian/scripts/install-dbconfig # handles install of all upgrade/install scripts to db version 11 and greater
# create a reference of which database type is installed on the system
# and a link to the dbconfig information that is dbtype independent
	$(foreach db,$(VARIANTS), \
		mkdir -p debian/bacula-common-$(db)/usr/share/bacula-common; \
		echo $(db) > debian/bacula-common-$(db)/usr/share/bacula-common/dbtype; \
		ln -s /etc/dbconfig-common/bacula-director-$(db).conf debian/bacula-common-$(db)/usr/share/bacula-common/dbc_database.conf;)
ifeq ($(HAVE_SYSTEMD),1)
	# only install systemd related files if systemd is enabled during build
	install -m 644 platforms/systemd/bacula.conf -D debian/bacula-common/usr/lib/tmpfiles.d/bacula.conf
	install -m 644 platforms/systemd/bacula-fd.service -D debian/bacula-fd/lib/systemd/system/bacula-fd.service
	install -m 644 platforms/systemd/bacula-sd.service -D debian/bacula-sd/lib/systemd/system/bacula-sd.service
	install -m 644 platforms/systemd/bacula-dir.service -D debian/bacula-director/lib/systemd/system/bacula-director.service
endif

override_dh_installexamples:
# The monitoring plugin in the examples needs to be cleaned, otherwise
# builds will not be reproducible. But only if the makefile exists,
# which it doesn't if we only build-indep.
	@[ -f examples/nagios/check_bacula/Makefile ] && make -C examples/nagios/check_bacula libtool-clean distclean || true
	dh_installexamples

override_dh_installdocs:
	dh_installdocs -pbacula --link-doc=bacula-server
	dh_installdocs -Nbacula-common -Nbacula-client -Nbacula-server --remaining-packages --link-doc=bacula-common
	dh_installdocs --remaining-packages

# avoid compiling anything when building the metapackages
override_dh_auto_configure-indep:
override_dh_auto_build-indep:
override_dh_auto_install-indep:

override_dh_auto_configure-arch:
	$(foreach db,$(VARIANTS),$(call db-templates-subst,$(db)))
	autoconf -I autoconf/ -o configure autoconf/configure.in
	dh_auto_configure -- $(CONF_ALL)
	debian/scripts/generate-doc-dir-to-symlink-migration create
	debian/scripts/autopostrm create

override_dh_makeshlibs:
	dh_makeshlibs -n -Xbpipe-fd.so
	# fix shlibs for bacula-common-* (XXX quite probably needs reviewing)
	$(foreach db,$(VARIANTS), sed -i 's/libbaccats-[a-z0-9]*/libbaccats/' debian/bacula-common-$(db)/DEBIAN/shlibs;)

override_dh_clean:
	$(foreach db,$(VARIANTS),$(call db-templates-cleanup,$(db)))
	dh_clean
	debian/scripts/generate-doc-dir-to-symlink-migration clean
	debian/scripts/autopostrm clean

override_dh_fixperms-arch:
	dh_fixperms -a
	chmod -x debian/bacula-sd/etc/bacula/scripts/mtx-changer.conf
	chmod -x debian/bacula-common/usr/share/doc/bacula-common/examples/nagios/check_bacula/README

override_dh_auto_test:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/" \
http://sf.net/bacula/bacula-?_?([\w+\d+\.]+|\d+)\.tar\.gz

## bacula 9.0.8

=== src/win32/lib/Makefile ===
#
# Copyright (C) 2000-2018 Kern Sibbald
# License: BSD 2-Clause; see file LICENSE-FOSS
#
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

INCLUDES = \
	$(INCLUDE_PTHREADS) \
	$(INCLUDE_BACULA) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_OPENSSL)

DEFINES = \
	$(HAVES)

vpath %.c $(BUILDDIR)/compat $(MAINDIR)/src/findlib $(MAINDIR)/src/lib
vpath %.cpp $(BUILDDIR)/compat $(MAINDIR)/src/findlib $(MAINDIR)/src/lib

######################################################################

# Files files in src/lib

COMPAT_OBJS = \
	$(OBJDIR)/compat.o \
	$(OBJDIR)/print.o \
	$(OBJDIR)/winapi.o

#	$(OBJDIR)/getopt.o \

FIND_OBJS = \
	$(OBJDIR)/attribs.o \
	$(OBJDIR)/bfile.o \
	$(OBJDIR)/win32filter.o \
	$(OBJDIR)/create_file.o \
	$(OBJDIR)/drivetype.o \
	$(OBJDIR)/enable_priv.o \
	$(OBJDIR)/find.o \
	$(OBJDIR)/find_one.o \
	$(OBJDIR)/fstype.o \
	$(OBJDIR)/mkpath.o \
	$(OBJDIR)/match.o

LIB_OBJS = \
	$(OBJDIR)/address_conf.o \
	$(OBJDIR)/alist.o \
	$(OBJDIR)/attr.o \
	$(OBJDIR)/base64.o \
	$(OBJDIR)/berrno.o \
	$(OBJDIR)/bget_msg.o \
	$(OBJDIR)/bnet.o \
	$(OBJDIR)/bnet_server.o \
	$(OBJDIR)/bpipe.o \
	$(OBJDIR)/breg.o \
	$(OBJDIR)/bregex.o \
	$(OBJDIR)/bsock.o \
	$(OBJDIR)/bsnprintf.o \
	$(OBJDIR)/bsys.o \
	$(OBJDIR)/btime.o \
	$(OBJDIR)/btimers.o \
	$(OBJDIR)/cram-md5.o \
	$(OBJDIR)/crc32.o \
	$(OBJDIR)/crypto.o \
	$(OBJDIR)/daemon.o \
	$(OBJDIR)/dlist.o \
	$(OBJDIR)/edit.o \
	$(OBJDIR)/fnmatch.o \
	$(OBJDIR)/guid_to_name.o \
	$(OBJDIR)/hmac.o \
	$(OBJDIR)/htable.o \
	$(OBJDIR)/jcr.o \
	$(OBJDIR)/lex.o \
	$(OBJDIR)/lz4.o \
	$(OBJDIR)/md5.o \
	$(OBJDIR)/mem_pool.o \
	$(OBJDIR)/message.o \
	$(OBJDIR)/openssl.o \
	$(OBJDIR)/plugins.o \
	$(OBJDIR)/priv.o \
	$(OBJDIR)/queue.o \
	$(OBJDIR)/rblist.o \
	$(OBJDIR)/runscript.o \
	$(OBJDIR)/rwlock.o \
	$(OBJDIR)/scan.o \
	$(OBJDIR)/serial.o \
	$(OBJDIR)/sha1.o \
	$(OBJDIR)/signal.o \
	$(OBJDIR)/smartall.o \
	$(OBJDIR)/tls.o \
	$(OBJDIR)/tree.o \
	$(OBJDIR)/util.o \
	$(OBJDIR)/var.o \
	$(OBJDIR)/watchdog.o \
	$(OBJDIR)/workq.o \
	$(OBJDIR)/binflate.o \
	$(OBJDIR)/ini.o \
	$(OBJDIR)/output.o \
	$(OBJDIR)/sellist.o \
	$(OBJDIR)/lockmgr.o \
	$(OBJDIR)/worker.o \
	$(OBJDIR)/flist.o

DLL_OBJS = \
	$(COMPAT_OBJS) $(FIND_OBJS) $(LIB_OBJS)

STATIC_OBJS = \
	$(OBJDIR)/parse_conf.o \
	$(OBJDIR)/res.o

ALL_OBJS = \
	$(DLL_OBJS) $(STATIC_OBJS)

LIBS_DLL = \
	$(LIBS_SSL) \
	$(LIBS_CRYPTO) \
	$(LIBS_PTHREADS) \
	$(LIBS_ZLIB) \
	$(LIBS_NETWORK) \
	-lole32 \
	-loleaut32 \
	-lws2_32 \
	-luuid

######################################################################

# Targets

.PHONY: all clean distclean

all: $(BINDIR)/bacula.dll $(LIBDIR)/libbacula.a

distclean: clean

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/bacula.dll)
	$(ECHO_CMD)rm -f $(OBJDIR)/bacula.a $(LIBDIR)/libbacula.a
	$(ECHO_CMD)rm -rf $(OBJDIRS)

#
# Rules for generating from ../lib
#

$(LIBDIR)/libbacula.a: DLL_DEFINE=USING_DLL

$(LIBDIR)/libbacula.a: $(BINDIR)/bacula.dll $(STATIC_OBJS)
	@echo "Updating archive $@"
	$(call checkdir,$@)
	$(ECHO_CMD)cp $(OBJDIR)/bacula.a $@
	$(ECHO_CMD)$(AR) rsv $@ $(filter %.o,$^)

$(BINDIR)/bacula.dll: DLL_DEFINE=BUILDING_DLL

$(BINDIR)/bacula.dll: $(DLL_OBJS) bacula$(WIN_VERSION).def
	@echo "Linking $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) $(LDFLAGS) -mdll -mwindows -Wl,--out-implib,$(OBJDIR)/bacula.a $^ $(LIBS_DLL) -o $@

bacula$(WIN_VERSION).def: $(DLL_OBJS)
	./make_def$(WIN_VERSION) $(DLL_OBJS) >bacula$(WIN_VERSION).def.new && \
	  mv bacula$(WIN_VERSION).def.new bacula$(WIN_VERSION).def


include ../Makefile.rules

$(OBJDIR)/%.o: %.c
	@echo "Compiling $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

$(OBJDIR)/%.o: %.cpp
	@echo "Compiling $<"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) -D$(DLL_DEFINE) $(CFLAGS) -c $< -o $@

=== src/win32/stored/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#
# Author: Robert Nelson
# License: BSD 2-Clause; see file LICENSE-FOSS
#
#  Written by Robert Nelson, June 2006
#

# Configuration

include ../Makefile.inc

INCLUDES = \
	-I. \
	-I$(MAINDIR)/src/stored \
	$(INCLUDE_DDK) \
	$(INCLUDE_PTHREADS) \
	$(INCLUDE_BACULA) \
	$(INCLUDE_ZLIB) \
	$(INCLUDE_OPENSSL) \
	$(INCLUDE_ICONS)

DEFINES = \
	-DUSING_DLL \
	-DWINVER=0x500 \
	$(HAVES)

#	-DHAVE_TRAY_MONITOR \


vpath %.c $(MAINDIR)/src/stored $(BUILDDIR)/libwin32
vpath %.cpp $(MAINDIR)/src/stored $(BUILDDIR)/libwin32

##########################################################################

COMMON_OBJS = \
	$(OBJDIR)/askdir.o \
	$(OBJDIR)/tape_alert.o \
	$(OBJDIR)/vtape_dev.o \
	$(OBJDIR)/tape_dev.o \
	$(OBJDIR)/init_dev.o \
	$(OBJDIR)/global.o \
	$(OBJDIR)/acquire.o \
	$(OBJDIR)/aligned_dev.o \
	$(OBJDIR)/aligned_read.o \
	$(OBJDIR)/aligned_write.o \
	$(OBJDIR)/ansi_label.o \
	$(OBJDIR)/authenticate.o \
	$(OBJDIR)/autochanger.o \
	$(OBJDIR)/block.o \
	$(OBJDIR)/block_util.o \
	$(OBJDIR)/butil.o \
	$(OBJDIR)/dev.o \
	$(OBJDIR)/device.o \
	$(OBJDIR)/ebcdic.o \
	$(OBJDIR)/hello.o \
	$(OBJDIR)/label.o \
	$(OBJDIR)/lock.o \
	$(OBJDIR)/match_bsr.o \
	$(OBJDIR)/mount.o \
	$(OBJDIR)/parse_bsr.o \
	$(OBJDIR)/read_records.o \
	$(OBJDIR)/record_read.o \
	$(OBJDIR)/record_util.o \
	$(OBJDIR)/record_write.o \
	$(OBJDIR)/reserve.o \
	$(OBJDIR)/scan.o \
	$(OBJDIR)/spool.o \
	$(OBJDIR)/stored_conf.o \
	$(OBJDIR)/vol_mgr.o \
	$(OBJDIR)/wait.o \
	$(OBJDIR)/file_dev.o \
	$(OBJDIR)/sd_plugins.o \
	$(OBJDIR)/os.o



#	 $(OBJDIR)/mtops.o

# bacula-sd
SD_OBJS = \
	$(OBJDIR)/stored.o \
	$(OBJDIR)/append.o \
	$(OBJDIR)/dircmd.o \
	$(OBJDIR)/fd_cmds.o \
	$(OBJDIR)/job.o \
	$(OBJDIR)/read.o \
	$(OBJDIR)/vbackup.o \
	$(OBJDIR)/dde_cmd.o \
	$(OBJDIR)/status.o

# bextract
BEXTRACT_OBJS = \
	$(OBJDIR)/bextract.o 

OBJS_WIN = \
	$(OBJDIR)/service.o \
	$(OBJDIR)/main.o \
	$(OBJDIR)/bacula.res

#	$(OBJDIR)/trayMonitor.o \
#	$(OBJDIR)/aboutDialog.o \
#	$(OBJDIR)/statusDialog.o \


ALL_OBJS = \
	$(COMMON_OBJS) \
	$(SD_OBJS) \
	$(BEXTRACT_OBJS) \
	$(OBJS_WIN) \
	$(OBJDIR)/bcopy.o \
	$(OBJDIR)/bls.o \
	$(OBJDIR)/btape.o \
	$(OBJDIR)/bscan.o

LIBS_STORED = \
	$(LIBS_PTHREADS) \
	$(LIBS_NETWORK) \
	-lole32 \
	-loleaut32 \
	-luuid \
	-lcomctl32

######################################################################

# Targets

.PHONY: all clean

all:	$(BINDIR)/bacula-sd.exe  $(BINDIR)/bcopy.exe $(BINDIR)/bextract.exe  $(BINDIR)/bls.exe 
# $(BINDIR)/bscan.exe $(BINDIR)/btape.exe

clean:
	@echo "Cleaning `pwd`"
	$(call clean_obj,$(ALL_OBJS))
	$(call clean_exe,$(BINDIR)/bacula-sd.exe)
	$(call clean_exe,$(BINDIR)/bcopy.exe)
	$(call clean_exe,$(BINDIR)/bextract.exe)
	$(call clean_exe,$(BINDIR)/bls.exe)
	$(call clean_exe,$(BINDIR)/bscan.exe)
	$(call clean_exe,$(BINDIR)/btape.exe)
	$(ECHO_CMD)rm -rf $(OBJDIRS)

realclean: clean
	rm -f tags bacula-sd.conf

#
# Rules
#

$(BINDIR)/bacula-sd.exe: $(SD_OBJS) $(COMMON_OBJS) $(OBJS_WIN) $(LIBS_BACULA)
	$(call link_winapp,$(LIBS_STORED))

$(BINDIR)/btape.exe: $(OBJDIR)/btape.o $(COMMON_OBJS) $(LIBS_BACULA)
	$(call link_conapp,$(LIBS_STORED))

$(BINDIR)/bls.exe: $(OBJDIR)/bls.o $(COMMON_OBJS) $(LIBS_BACULA)
	$(call link_conapp,$(LIBS_STORED))

$(BINDIR)/bextract.exe: $(BEXTRACT_OBJS) $(COMMON_OBJS) $(LIBS_BACULA) $(LIBS_LZO)
	$(call link_conapp,$(LIBS_STORED) $(LIBS_ZLIB))

$(BINDIR)/bscan.exe: $(OBJDIR)/bscan.o $(COMMON_OBJS) $(LIBS_CATS) $(LIBS_BACULA)
	$(call link_conapp,$(LIBS_STORED))

$(BINDIR)/bcopy.exe: $(OBJDIR)/bcopy.o $(COMMON_OBJS) $(LIBS_BACULA)
	$(call link_conapp,$(LIBS_STORED))

$(OBJDIR)/mtops.o: mtops.cpp
	@echo "Compiling $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(CXX) $(CFLAGS) $(INCLUDE_DDK) -I../../stored -c $< -o $@

$(OBJDIR)/winres.res:	  baculasd/winres.rc
	@echo "Compiling $@"
	$(call checkdir,$@)
	$(ECHO_CMD)$(WINDRES) $(INCLUDE_ICONS) -I baculasd -O coff $< -o $@

include ../Makefile.rules

=== src/win32/win32_installer/Makefile ===
#
# Copyright (C) 2000-2018 Kern Sibbald
# License: BSD 2-Clause; see file LICENSE-FOSS
#
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Robert Nelson, June 2006
#

include ../Makefile.inc

VERSION := $(shell sed -ne 's/^.define[ \t]VERSION[ \t][ \t]*"\(.*\)"/\1/p' < ../../version.h)
RELEASE ?= $(shell awk '/define RELEASE [0-9]+/ { print $$3 }' ../../version.h)

DEFINES := \
	-DVERSION=$(VERSION) \
	-DOUT_DIR=$(BUILDDIR)/release32 \
	-DSRC_DIR=release32 \
	-DBUILD_TOOLS=MinGW32 \
	-DWINVER=32 \
	-DBUILD_BAT=$(BUILD_BAT)

INSTALL_EXE := $(BUILDDIR)/release32/winbacula-$(VERSION).exe

BACULABINARIES := \
	bacula.dll \
	alldrives-fd.dll \
	exchange-fd.dll \
	bacula-fd.exe \
	bconsole.exe \
	bsleep.exe \
	bsmtp.exe \
	bacula-sd.exe \
	bextract.exe \
	bls.exe \
	bcopy.exe

ifeq ($(bat),no)
	BACULA_BINARIES=$(BACULABINARIES)
	HELP=
else
	BACULA_BINARIES=$(BACULABINARIES) bat.exe #bacula-tray-monitor.exe
	HELP=help
endif

EXTRA=

#	bacula-sd.exe \


DEPKGS_BINARIES := \
	libeay32.dll \
	pthreadGCE2.dll \
	zlib1.dll \
	ssleay32.dll \
	openssl.exe \
	sed.exe \
	expr64.exe \
	snooze.exe \
	QtCore4.dll \
	QtGui4.dll  \
	libwinpthread-1.dll \
	libgcc_s_sjlj-1.dll \
	libstdc++-6.dll
#	libgcc_s_dw2-1.dll


NONGCC_BINARIES := 

NONGCC_LIBRARIES := 

MINGW_BINARIES := 

SCRIPT_FILES := 

CAT_FILES := 

DIRD_FILES := 

SSL_FILES := \
	openssl.cnf

LICENSE_FILES := \
	LICENSE

##########################################################################

# Targets

.PHONY: all clean installer distclean

all:	      $(HELP) docs $(INSTALL_EXE) $(EXTRA)

installer:    $(HELP) docs $(INSTALL_EXE)

distclean: clean

clean:
	@echo "Cleaning `pwd`"
	$(CMD_ECHO)-rm -f $(INSTALL_EXE)
	$(CMD_ECHO)-rm -rf release32

help:
	rm -rf release32/help
	mkdir -p release32/help
	cp -f $(BINDIR)/help/* release32/help/

docs:
	rm -rf release32/docs
	mkdir -p release32/docs/manuals/en/console
	mkdir -p release32/docs/manuals/en/main
	mkdir -p release32/docs/manuals/en/misc
	mkdir -p release32/docs/manuals/en/problems
	mkdir -p release32/docs/manuals/en/utility
	cp -f $(DOCDIR)/docs/manuals/en/pdf-and-html/console/console.pdf release32/docs/manuals/en/console/
	cp -f $(DOCDIR)/docs/manuals/en/pdf-and-html/main/main.pdf release32/docs/manuals/en/main/
	cp -f $(DOCDIR)/docs/manuals/en/pdf-and-html/misc/misc.pdf release32/docs/manuals/en/misc/
	cp -f $(DOCDIR)/docs/manuals/en/pdf-and-html/problems/problems.pdf release32/docs/manuals/en/problems/
	cp -f $(DOCDIR)/docs/manuals/en/pdf-and-html/utility/utility.pdf release32/docs/manuals/en/utility/

#
# Rules
#

define Convert_Binary
release32/$$(notdir $(1)): $(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$@ ; \
	$(STAB2CV) $$@
endef

define Copy_Binary
release32/$$(notdir $(1)): $(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$@
endef

define Copy_Docs
release32/$(1): $(DOCDIR)/$(1)
	$$(call checkdir,$$@)
	cp -f $$^ $$(dir $$@)
	$(ECHO_CMD)cp -f $$^ $$(dir $$@)
endef

define Copy_Licenses
release32/$$(notdir $(1)): $(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$(dir $$@)
endef

$(foreach file,$(addprefix $(DEPKGS)/bin/, $(DEPKGS_BINARIES)),$(eval $(call Convert_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS)/bin/, $(NONGCC_BINARIES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS)/lib/, $(NONGCC_LIBRARIES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(BINDIR)/, $(BACULA_BINARIES)),$(eval $(call Convert_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS)/ssl/, $(SSL_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix ../scripts/, $(SCRIPT_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix ../cats/, $(CAT_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix ../../dird/, $(DIRD_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(MAINDIR)/, $(LICENSE_FILES)),$(eval $(call Copy_Licenses,$(file))))

#$(foreach file,$(DOC_FILES),$(eval $(call Copy_Docs,$(file))))


$(INSTALL_EXE): winbacula.nsi $(addprefix release32/,$(BACULA_BINARIES) $(SCRIPT_FILES) $(CAT_FILES) $(DEPKGS_BINARIES) $(NONGCC_BINARIES) $(NONGCC_LIBRARIES) $(MINGW_BINARIES) $(SSL_FILES) $(DIRD_FILES) $(LICENSE_FILES) )
	echo "makensis -V3 $(DEFINES) winbacula.nsi"
	makensis -V3 $(DEFINES) winbacula.nsi

include $(BUILDDIR)/Makefile.rules

=== src/win32/win64_installer/Makefile ===
#
# Makefile for win32 bacula executables
# Using MinGW cross-compiler on GNU/Linux
#
#  Written by Eric Bollengier, March 2009 
#    based on work by Robert Nelson
#

include ../Makefile.inc

VERSION := $(shell sed -ne 's/^.define[ \t]VERSION[ \t][ \t]*"\(.*\)"/\1/p' < ../../version.h)
RELEASE ?= $(shell awk '/define RELEASE [0-9]+/ { print $$3 }' ../../version.h)

DEFINES := \
	-DVERSION=$(VERSION) \
	-DOUT_DIR=$(BUILDDIR)/release64 \
	-DSRC_DIR=release64 \
	-DSRC64_DIR=$(BUILDDIR)/win64_installer/release64 \
	-DSRC32_DIR=$(BUILDDIR)/win32_installer/release32 \
	-DWINVER=64 \
	-DBUILD_TOOLS=MinGW64 \
	-DBUILD_BAT=$(BUILD_BAT)

INSTALL_EXE := $(BUILDDIR)/release64/winbacula-$(VERSION).exe

BACULABINARIES := \
	bacula.dll \
	alldrives-fd.dll \
	exchange-fd.dll \
	bsleep.exe \
	bsmtp.exe \
	bconsole.exe \
	bacula-fd.exe \
	bacula-sd.exe \
	bextract.exe \
	bls.exe \
	bcopy.exe

DEPKGS_BINARIES := \
	openssl.exe \
	sed.exe \
	expr64.exe \
	snooze.exe \
	QtCore4.dll \
	QtGui4.dll  \
	pthreadGCE2.dll \
	libwinpthread-1.dll \
	libgcc_s_seh-1.dll \
	libstdc++-6.dll \
	libeay32.dll \
	ssleay32.dll \
	zlib1.dll

#	libgcc_s_dw2-1.dll

NONGCC_BINARIES := \
	libmysql.dll

NONGCC_LIBRARIES := \
	libpq.dll

MINGW_BINARIES := 

SCRIPT_FILES := \
	mtx-changer.cmd \
	disk-changer.cmd \
	dvd-handler.cmd

CAT_FILES := \
	create_mysql_database.cmd \
	drop_mysql_database.cmd \
	make_mysql_tables.cmd \
	make_mysql_tables.sql \
	drop_mysql_tables.cmd \
	drop_mysql_tables.sql \
	grant_mysql_privileges.cmd \
	grant_mysql_privileges.sql \
	make_mysql_catalog_backup.cmd \
	create_postgresql_database.cmd \
	create_postgresql_database.sql \
	drop_postgresql_database.cmd \
	make_postgresql_tables.cmd \
	make_postgresql_tables.sql \
	drop_postgresql_tables.cmd \
	drop_postgresql_tables.sql \
	grant_postgresql_privileges.cmd \
	grant_postgresql_privileges.sql \
	make_postgresql_catalog_backup.cmd \
	create_sqlite3_database.cmd \
	drop_sqlite3_database.cmd \
	make_sqlite3_tables.cmd \
	make_sqlite3_tables.sql \
	drop_sqlite3_tables.cmd \
	grant_sqlite3_privileges.cmd \
	make_sqlite3_catalog_backup.cmd \
	delete_catalog_backup.cmd

DIRD_FILES := \
	query.sql

SSL_FILES := \
	openssl.cnf

LICENSE_FILES := \
	LICENSE

ifeq ($(bat),no)
	BACULA_BINARIES=$(BACULABINARIES)
	HELP=
else
	BACULA_BINARIES=$(BACULABINARIES) bat.exe #bacula-tray-monitor.exe
	HELP=help
endif


EXTRA=

##########################################################################

# Targets

.PHONY: all clean installer distclean

all:		$(HELP) docs $(INSTALL_EXE) $(EXTRA)

installer:	$(HELP) docs $(INSTALL_EXE)

distclean: clean

clean:
	@echo "Cleaning `pwd`"
	$(CMD_ECHO)-rm -f $(INSTALL_EXE)
	$(CMD_ECHO)-rm -rf release64

help:
	rm -rf release64/help
	mkdir -p release64/help
	cp -f $(BINDIR)/help/* release64/help/

docs:
	rm -rf release64/docs
	mkdir -p release64/docs/manuals/en/console
	mkdir -p release64/docs/manuals/en/main
	mkdir -p release64/docs/manuals/en/misc
	mkdir -p release64/docs/manuals/en/problems
	mkdir -p release64/docs/manuals/en/utility
	cp -f $(DOCDIR)/docs/manuals/en/pdf-and-html/console/console.pdf release64/docs/manuals/en/console/
	cp -f $(DOCDIR)/docs/manuals/en/pdf-and-html/main/main.pdf release64/docs/manuals/en/main/
	cp -f $(DOCDIR)/docs/manuals/en/pdf-and-html/misc/misc.pdf release64/docs/manuals/en/misc/
	cp -f $(DOCDIR)/docs/manuals/en/pdf-and-html/problems/problems.pdf release64/docs/manuals/en/problems/
	cp -f $(DOCDIR)/docs/manuals/en/pdf-and-html/utility/utility.pdf release64/docs/manuals/en/utility/

#
# Rules
#

define Convert_Binary
release64/$$(notdir $(1)): $(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$@
endef

define Copy_Binary
release64/$$(notdir $(1)): $(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$@
endef

define Copy_Docs
release64/$(1): $(DOCDIR)/$(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$(dir $$@)
endef

define Copy_Licenses
release64/$$(notdir $(1)): $(1)
	$$(call checkdir,$$@)
	$(ECHO_CMD)cp -f $$^ $$(dir $$@)
endef

$(foreach file,$(addprefix $(DEPKGS)/bin/, $(DEPKGS_BINARIES)),$(eval $(call Convert_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS)/bin/, $(NONGCC_BINARIES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS)/lib/, $(NONGCC_LIBRARIES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(BINDIR)/, $(BACULA_BINARIES)),$(eval $(call Convert_Binary,$(file))))

$(foreach file,$(addprefix $(MINGW_DLLDIR)/, $(MINGW_BINARIES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(DEPKGS)/ssl/, $(SSL_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix ../scripts/, $(SCRIPT_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix ../cats/, $(CAT_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix ../../dird/, $(DIRD_FILES)),$(eval $(call Copy_Binary,$(file))))

$(foreach file,$(addprefix $(MAINDIR)/, $(LICENSE_FILES)),$(eval $(call Copy_Licenses,$(file))))

#$(foreach file,$(DOC_FILES),$(eval $(call Copy_Docs,$(file))))

$(INSTALL_EXE): winbacula.nsi $(addprefix release64/,$(BACULA_BINARIES) $(DEPKGS_BINARIES) $(SSL_FILES) $(LICENSE_FILES))
	makensis -V3 $(DEFINES) winbacula.nsi
	echo " "

include $(BUILDDIR)/Makefile.rules

=== debian/changelog ===
bacula (9.0.8-1) unstable; urgency=medium

  * New upstream release
  * Drop patch debian/ignore-win32, copyright notices were fixed
    upstream
  * Drop patch upstream/kfreebsd-regression-fix, it was integrated
    upstream
  * Add patch upstream/fix-permissions, to install mtx-changer.conf
    without execute permissions

 -- Carsten Leonhardt <leo@debian.org>  Mon, 28 May 2018 23:10:23 +0200

bacula (9.0.7+dfsg-4) unstable; urgency=medium

  * Add logwatch script to package bacula-director
  * Update maintainer mailing list address

 -- Carsten Leonhardt <leo@debian.org>  Tue, 15 May 2018 13:18:37 +0200

bacula (9.0.7+dfsg-3) experimental; urgency=medium

  [ Sven Hartge ]
  * Switch to Qt5. (Closes: #874836)

 -- Carsten Leonhardt <leo@debian.org>  Wed, 25 Apr 2018 23:31:17 +0200

bacula (9.0.7+dfsg-2) unstable; urgency=medium

  [ Sven Hartge ]
  * Don't clutter / with tmpfiles

  [ Carsten Leonhardt ]
  * Fix FTBFS on kfreebsd
  * Remove ucf tempfiles in / erroneously left there by previous versions

 -- Carsten Leonhardt <leo@debian.org>  Wed, 25 Apr 2018 14:59:58 +0200

bacula (9.0.7+dfsg-1) unstable; urgency=low

  * New upstream release

  [ Sven Hartge ]
  * Unhide the compiler output, allowing the build log scanner to
    actually function correctly
  * Updated Standards-Version to 4.1.4, no changes required

  [ Carsten Leonhardt ]
  * Repackaged upstream source to exclude src/filed/win_efs.c and
    src/win32 due to licencing concerns, added patch to allow building
    nonetheless

 -- Carsten Leonhardt <leo@debian.org>  Mon, 23 Apr 2018 16:53:54 +0200

bacula (9.0.6-2) unstable; urgency=high

  [ Sven Hartge ]
  * Bump debhelper compat level to 11, now that debhelper 11 is in
    stretch-backports
  * Added various lintian overrides
  * Package is compatible with Policy 4.1.3.0, no changes needed
  * Updated VCS-URLs in debian/control (Debian repository moved to
    salsa.debian.org)
  * Fix bacula-sd SysV initscript to correctly pass the runtime user
    to the daemon. Thanks Adam D. Barratt for noticing.

  [ Carsten Leonhardt ]
  * Cherry-pick further fix from stretch-update to prevent accidental
    deletion of bacula-dir.conf

 -- Carsten Leonhardt <leo@debian.org>  Sun, 04 Mar 2018 10:35:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: bacula
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Bacula Team <pkg-bacula-devel@lists.alioth.debian.org>
+Maintainer: Debian Bacula Team <pkg-bacula-devel@alioth-lists.debian.net>
 Uploaders: Carsten Leonhardt <leo@debian.org>
 Build-Depends:
  autoconf,
  bc,
- debhelper (>= 10),
+ debhelper (>= 11~),
+ dh-exec,
  libacl1-dev,
  libcap-dev [linux-any],
  libkrb5-dev,
  liblzo2-dev,
  default-libmysqlclient-dev,
  libpq-dev (>= 9.1),
- libqt4-dev,
+ qtbase5-dev,
  libreadline-dev,
  libsqlite3-dev,
  libssl-dev | libssl1.0-dev,
@@ -26,10 +26,10 @@
  po-debconf,
  postgresql-server-dev-all,
  zlib1g-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-bacula/bacula.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-bacula/bacula.git
+Vcs-Browser: https://salsa.debian.org/bacula-team/bacula
+Vcs-Git: https://salsa.debian.org/bacula-team/bacula.git
 Homepage: http://www.bacula.org/
 
 Package: bacula
@@ -334,3 +334,5 @@
 Description: network backup service - text console
  Bacula is a set of programs to manage backup, recovery, and verification of
  data across a network of computers of different kinds.
+ .
+ The management console allows the administrator or user to

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
+
+# Make qtchooser select Qt5
+export QT_SELECT=qt5
 
 DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
@@ -97,11 +100,7 @@
 endef
 
 %:
-ifeq ($(HAVE_SYSTEMD),1)
-	dh $@ --with systemd
-else
 	dh $@
-endif
 
 # For packages depending on bacula-director-DBTYPE, we handle the
 # dependencies on that ourselves, because dpkg-shlibdeps doesn't
@@ -154,6 +153,12 @@
 override_dh_auto_configure-arch:
 	$(foreach db,$(VARIANTS),$(call db-templates-subst,$(db)))
 	autoconf -I autoconf/ -o configure autoconf/configure.in
+	# Strange workaround for strange binary path problems in Qt5.9
+	# https://gitweb.gentoo.org/repo/gentoo.git/tree/app-backup/bacula/bacula-9.0.6-r2.ebuild?id=9b8f311cb9d88f02bebc4bfb51282db4457f87d7#n166
+	mkdir -p src/qt-console/.libs
+	touch src/qt-console/.libs/bat
+	chmod 755 src/qt-console/.libs/bat
+	#
 	dh_auto_configure -- $(CONF_ALL)
 	debian/scripts/generate-doc-dir-to-symlink-migration create
 	debian/scripts/autopostrm create
@@ -169,9 +174,4 @@
 	debian/scripts/generate-doc-dir-to-symlink-migration clean
 	debian/scripts/autopostrm clean
 
-override_dh_fixperms-arch:
-	dh_fixperms -a
-	chmod -x debian/bacula-sd/etc/bacula/scripts/mtx-changer.conf
-	chmod -x debian/bacula-common/usr/share/doc/bacula-common/examples/nagios/check_bacula/README
-
 override_dh_auto_test:
